Subject: Re: DMA support for MPC5xxx?

From: Matt Porter <[email-masked]>
Date: Thu, 3 Jun 2004 13:48:04 -0700

On Thu, Jun 03, 2004 at 10:19:07PM +0200, Sylvain Munaut wrote:
>
>  >>> See the thread starting at
>  >>> http://lists.linuxppc.org/linuxppc-dev/200311/msg00000.html
>  >>>
>  >>> David even posted on this list to get feedback  from  the
>  >>> community. But I haven't seen a single reply on the mailing
>  >>> lists.
>  >>
>  >> So? Repost. I miss stuff the first time around a lot of times
>  >> myself [this is not to indicate that I would necessarily comment
>  >> on 5200 stuff, just an example].
>  >
>  >
>  > And this time do it against 2.6.  Even if 2.4 wasn't necessarily
>  > frozen at the time we first tried, it is now.
>
> Actually I got some patch to support MPC5200 ( and only this one, no
> mgt5100 stuff ) for 2.6
> It only supports booting, serial console and i2c. Not much but could
> that be put in official tree if I submit it ? Or does it need to
> support  more than that to worth inclusion.
> So that at least if someone tries to implement more ( I'll resume my
> work on it in a few weeks ), it has a base already in official tree.

Why not? You're the only one showing interest in supporting 5200 in
2.6. Post the patch and if it's clean it can go in. The "i2c", I
assume, is an i2c host adapter driver so that needs to be separated
so it can go to gregkh. Don't lump it in with the include/asm-ppc
and arch/ppc core support. :)

-Matt

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/